<?php defined('ABSPATH') OR die('Direct Access Restricted!');
function o365_register_activation_hook_check_multisite($sitewide,$args = array())
{
	$method = 'o365_register_activation_hook';
	if ( is_multisite() && $sitewide )
	{
        global $wpdb, $blog_id;
        $dbquery = 'SELECT blog_id FROM '.$wpdb->blogs;
        $ids = $wpdb->get_col( $dbquery );
        foreach ( $ids as $id )
		{
            switch_to_blog( $id );
            call_user_func_array( $method, array( $args ) );
        }
        switch_to_blog( $blog_id );
    }
	else call_user_func_array( $method, array( $args ) );
}
function o365_register_activation_hook(){
    global $wpdb;
    $collate = $wpdb->get_charset_collate();
    $tables = array();
    foreach( $tables as $table ){
        $wpdb->query( $table );
    }
	update_option('365_plugin_top_slug','o365');
	update_option( 'o365_base_plugin_is_verify', '0' );
}